<?php

namespace App\Classes\General\Eloquent\Filters;


use Illuminate\Database\Eloquent\Builder;

class HasMorphCompanyModule implements Filter
{

    /**
     * @param Builder $builder
     * @param $value
     * @return mixed
     */
    public static function apply(Builder $builder, $value)
    {
        return $builder->whereHasMorph('owner', ['App\Models\CompanyModule'], function ($query) use($value) {
                $query->where('id',$value);
            });
    }
}
